#include "cddefines.h"
#include "path.h"

/* This file contains the path for all the cloudy data files.
 * Modify the path as set in the "char chDataPath" below, and never worry about setting 
 * a path again. 
 *
 * there are several sample paths - the first is for my pc, which runs windows and
 * is not commented out.  
 * the rest are examples of setting the path on a unix box 
 */

/* DATA_PATH_LENGTH is the size of the string that holds the path.  The longest
 * string that can be held is one less than this, due to the end
 * end of string sentinal in C.  Increase this is a larger string
 * is needed to hold the path on your system.  
 * DATA_PATH_LENGTH is set in path.h */

 /* path to directory where data live on my pc, 
 * this is the format to use on a windows machine
 * remove or comment out this line if you don't want to use it */
char chDataPath[DATA_PATH_LENGTH]="c:\\projects\\oldcloudy\\c96b3\\data\\" ;/**/

/* this is the path on the linux cluster here in lexington */
/*char chDataPath[DATA_PATH_LENGTH]="$exe = "/home59/home37/gary/cloudy/current/data/";*/

/* this is a sample path on a unix box, This
 * is my path on the sdx 64 processor system we have here in Lexington.*/
/* char chDataPath[DATA_PATH_LENGTH]="/u/home1/gary/cloudy/current/data/" ;*/

/* TRUE says that the path has been set with set path command,
 * or has been set here, It is false if the path is not set,
 * Leave this line alone - only change it if you really want to tell the
 * code that the path was not set here.  You will then need a
 * set path command in every input stream */
int lgDataPathSet=TRUE;
